import React, { useState, ChangeEvent, MouseEvent } from "react";
import { Card, Button, TextField } from "@mui/material"
import { useNavigate } from "react-router-dom";
import "@scss/reset.scss"

export default function Reset() {
    const [password, setPassword] = useState("");
    const [confirmPassword, setConfirmPassword] = useState("");
    const navigate = useNavigate();

    function hash(s: string) {
        return s;
    }

    function handlePassword(e: ChangeEvent<HTMLInputElement>) {
        setPassword(e.target.value);
        console.log(hash(password));
    }
    
    function handleConfirmPassword(e: ChangeEvent<HTMLInputElement>) {
        setConfirmPassword(e.target.value);
        console.log(confirmPassword);
    }

    function buttonSubmit(e: MouseEvent<HTMLButtonElement>) {
        e.preventDefault();
        if (password == confirmPassword && password.length != 0){
            console.log(`Sumbitting password "${hash(password)}"`)
            navigate("/login")
        }
        else{
            console.warn("Passwords are not matching or are empty");
        }
    }

    return (
        <main className="cardContainer">
            <Card className="card">
                <h3>Reset Password</h3>
                <TextField className="textfield" id="password" label="Password" type="password" value={password} onChange={handlePassword} />
                <TextField className="textfield" id="configrmPassword" label="Confirm Password" type="password" value={confirmPassword} onChange={handleConfirmPassword} />
                <Button id="submit" variant="contained" onClick={buttonSubmit}>Reset Password</Button>
            </Card>
        </main>
    )
}
